Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.standard.wms.control
Class DynLegendListener

    java.lang.Object
      org.deegree.enterprise.control.AbstractListener
          org.deegree.portal.standard.wms.control.AbstractMapListener
              org.deegree.portal.standard.wms.control.DynLegendListener

All Implemented Interfaces:
  EventListener, WebListener

    public class DynLegendListener

extends AbstractMapListener

Will be called if the client forces a dynamic legend. There are two different ways of retreiving the legend for each layer: First, we try to get the legend from the layer information in the WMC. Second, we try to get the legend from the WMS serving this layer: It is attempted to get the legend url from style info in the WMS Capabilities, first with the passed style info, second for the default style, third for the only available style. (If the WMS capabilities holds more than one style, but no style was passed with the layer info, then one cannot know "the right style". Therefore no style is taken from WMS capabilities, in this case.) Then, it is attempted to get the legend image from a GetLegendGraphics request, if the WMS capabilities state, that this request is supported by the WMS. If this all fails, the missingImage is taken if defined in init params.

Version:
  $Revision: 27593 $, $Date: 2010-10-28 15:43:43 +0200 (Do, 28. Okt 2010) $
Author:
  Andreas Poth, last edited by: $Author: mays$

Constructor Summary
`DynLegendListener()`

Method Summary
`void` | `actionPerformed(FormEvent event)`

Methods inherited from class org.deegree.portal.standard.wms.control.AbstractMapListener
`getScale, toMap`

Methods inherited from class org.deegree.enterprise.control.AbstractListener
`getAlternativeNextPage, getHomePath, getInitParameter, getInitParameterList, getNextPage, getRequest, getReturnValue, gotoErrorPage, handle, setAlternativeNextPage, setDefaultAlternativeNextPage, setDefaultNextPage, setNextPage, setReturnValue, toModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynLegendListener

    public DynLegendListener()

Method Detail

### actionPerformed

    public void actionPerformed(FormEvent event)

  Specified by:
    `actionPerformed` in interface `WebListener`
  Overrides:
    `actionPerformed` in class `AbstractMapListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org